
--[[ EN ]]

-- To create a new module, change every occurence of 'Template' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Template' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaMoreDots";										-- !!!
local moduleid = "md"														-- keep this short
local moduleData = nil
local frame = CreateFrame("Frame", "KQMediaMoreDotsFakeFrame") 				-- !!!

function KQMediaMoreDots_OnEvent(this, event, ...) 							-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaMoreDots_Init()												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData)
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData)
        end
        frame:UnregisterEvent("ADDON_LOADED")
    end
end

frame:SetScript("OnEvent", KQMediaMoreDots_OnEvent)							-- !!!
frame:RegisterEvent("ADDON_LOADED")

function KQMediaMoreDots_Init()												-- !!!
    moduleData = {
		name = "MoreDots",													-- !!!
    	moduleid = moduleid,
    	mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
		mediadata = nil,
		tags = {["ex"] = "Expletive"}  			-- add your own tags here, if any
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Template-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "md:01",
    file = "you-are-going-to-lose-50dpk.mp3",
    len = 3,											-- length in seconds
    msg = "You are going to lose 50 DKP",
    tags = {"pve"},
    --  You may add one or more tags.
    --  See KQuote's 'Localization.lua' for a list of inbuildt tags.
    
    -- emote = "/wink",
    --  To use one of the inbuildt emotes, you have to use the emote token
    --   as can be seen on http://www.wowwiki.com/API_TYPE_Emotes_Token
    --   and prefix it with a slash ("/"). The token string will automatically
    --   be converted to upper case.
    --  If the slash is omitted, the text will be handled like the /me command.
    
    -- targeted = "winks at %t",
    --  This emote will be used if the player has a target selected.
    --  '%t' will be replaced by the target's name.
    --  (Ignored if 'emote' references an inbuildt emote.)
},
{
    id = "md:02",
    file = "not-even-remotely-imaginable.mp3",
    len = 5,
    msg = "Not even remotely imaginable! [e]",
    tags = {"ex", "negative"},
},
{
    id = "md:03",
    file = "thats-50dpk-minus.mp3",
    len = 4,
    msg = "That's 50 DKP minus! [e]",
    tags = {"pve", "negative"},
},
{
    id = "md:04",
    file = "what-the-f.mp3",
    len = 2,
    msg = "What the f***! [e]",
    tags = {"ex", "negative"},
},
{
    id = "md:05",
    file = "who-the-f-was-that.mp3",
    len = 3,
    msg = "Who the f*** was that?! [e]",
    tags = {"ex", "negative"},
},
{
    id = "md:06",
    file = "go-away-from-the-head.mp3",
    len = 3,
    msg = "Go away from the head",
    tags = {"pve"},
},
{
    id = "md:07",
    file = "do-not-stand-next-to-other-people.mp3",
    len = 4,
    msg = "Do not stand next to other people! [e]",
    tags = {"pve"},
},
{
    id = "md:08",
    file = "run-to-the-center.mp3",
    len = 2,
    msg = "Run to the center",
},
{
    id = "md:09",
    file = "hit-it-very-hard.mp3",
    len = 2,
    msg = "Hit it very hard",
},
{
    id = "md:10",
    file = "come-on-more-dots.mp3",
    len = 1,
    msg = "Come on, more dots",
},
{
    id = "md:11",
    file = "more-dots.mp3",
    len = 4,
    msg = "More dots!",
},
{
    id = "md:12",
    file = "vanish.mp3",
    len = 1,
    msg = "Vanish",
    tags = {"rogue"},
},
{
    id = "md:13",
    file = "feign-dead.mp3",
    len = 1,
    msg = "Feign dead",
    tags = {"hunter"},
},
{
    id = "md:14",
    file = "hit-it-like-you-mean-it.mp3",
    len = 2,
    msg = "Hit it like you mean it",
},
{
    id = "md:15",
    file = "more-dps.mp3",
    len = 2,
    msg = "More DPS",
    tags = {"pve"},
},
{
    id = "md:16",
    file = "more-dots-now.mp3",
    len = 2,
    msg = "More dots now",
},
{
    id = "md:17",
    file = "nuke-it-as-hard-as-possible.mp3",
    len = 3,
    msg = "Nuke it as hard as possible",
},
{
    id = "md:18",
    file = "nuke-it-dot-it.mp3",
    len = 2,
    msg = "Nuke it, dot it",
},
{
    id = "md:19",
    file = "dont-over-aggro.mp3",
    len = 2,
    msg = "Don't over-aggro",
    tags = {"pve"},
},
{
    id = "md:20",
    file = "there-is-no-aggro-reset.mp3",
    len = 2,
    msg = "There is no aggro reset",
    tags = {"pve"},
},
{
    id = "md:21",
    file = "you-lose-50dpk-again.mp3",
    len = 3,
    msg = "You lose 50 DPK again",
    tags = {"pve"},
},
{
    id = "md:22",
    file = "fucking-slow.mp3",
    len = 3,
    msg = "I mean f***ing slow [e]",
    tags = {"ex"},
},
-- end of media data
}
end -- KQMedia..._Init

